Subject: [Tsvwg] Alfred Hoenes: Fwd: draft-larsen-tsvwg-port-randomization

From: Fernando Gont <[email-masked]>
Date: Fri, 08 Jun 2007 05:31:01 -0300

>From: Alfred =?hp-roman8?B?SM5uZXM=?= <[email-masked]>
>Subject: draft-larsen-tsvwg-port-randomization
>To: [email-masked]
>Date: Fri, 8 Jun 2007 10:01:33 +0200 (MESZ)
>X-Mailer: ELM [$Revision: 1.17.214.3 $]
>X-Greylist: Delayed for 00:26:52 by 
>milter-greylist-2.0.2 (venus.xmundo.net 
>[201.216.232.56]); Fri, 08 Jun 2007 05:01:53 -0300 (ART)
>
>Hello all,
>
>On Thu, 31 May 2007, Lars Eggert <[email-masked]> wrote:
> > The concepts in this draft are likely relevant to most of our
> > transport protocols, and hence would be in scope for TSVWG.
> > The TSVWG chairs are interested in comments on whether there is
> > group interest in this draft - please comment on [email-masked].
> >
> > Lars
>
>As a sporadic reader of the group list, I already have performed
>detailed reviews of the -00 submission and the -01 revision.
>
>The draft presents an important building block in 'hardening'
>transport protocols agains a certain class of attacks; it reports
>on, and evaluates, existing implementation practice for the
>randomization of ephemeral (client side) transport protocol
>multiplexing selectors (port numbers), and it proposes advanced
>algorithmic variants, weighing the computational effort and
>resources needed.
>
>The topic is well known in the security business since quite
>long a time, but it has not been documented in any precise way
>conforming to the IETF quality standards.  There are already
>a couple of other I-Ds and public security recommendations
>quoting this draft as a reference.
>
>Besides all the intrinsic reasons to optimize implementation
>practice in the 'hostile' Internet environment, there's one
>important reason why this documentation should be done within,
>and with the consensus of, the IETF: to make future standards
>developers aware of widespread useful practice that should be
>considered in future work, at least to avoid the creation of
>new normative clauses making these practices nonconformant.
>
>I strongly recommend to advance that draft -- and the best way
>to do that is to endorse it on the wg agenda.
>
>Kind regards,
>   Alfred HÎnes.
>
>--
>
>+------------------------+--------------------------------------------+
>| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
>| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
>| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
>+------------------------+--------------------------------------------+

-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1